## chemeq 1.2-1

=== Makefile ===
INSTALL=install
DESTDIR =
BIN     = $(DESTDIR)/usr/bin
MAN1    = $(DESTDIR)/usr/share/man/man1
DOC	= $(DESTDIR)/usr/share/doc/chemeq
TESTS   = $(DOC)/tests
TESTSUITE	= tests/chemreport tests/chemreport.pl \
		  tests/chemtest tests/chemtest.pl
TESTSTUFF	= tests/test.stuff

all : 
	(cd src; ${MAKE})

demo : all
	(cd tests; chemreport)

test : all
	(cd tests; PATH=../src:$$PATH sh chemtest)

install : all
	${INSTALL} -d $(BIN) $(MAN1) $(TESTS)
	${INSTALL} --strip src/chemeq $(BIN)
	gzip -c -9 chemeq.1 > chemeq.1.gz
	${INSTALL} -m644 chemeq.1.gz $(MAN1)
	${INSTALL} -m755 $(TESTSUITE) $(TESTS)
	${INSTALL} -m644 $(TESTSTUFF) $(TESTS)

uninstall :
	rm $(BIN)/chemeq
	rm $(MAN1)/chemeq.1.gz
	rm -rf $(DOC)

clean :
	rm -f *~ *.gz
	(cd src; ${MAKE} clean)

=== debian/changelog ===
chemeq (1.2-1) unstable; urgency=low

  * added the -M switch; features molecular weights calculation
  * corrected the references to endl (using std::endl instead)
    closes: Bug#188906
    other incorrect references to cin, cout and cerr are due to a bad
    behavior of flex when used in c++ mode.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Mon, 14 Apr 2003 12:04:35 +0200

chemeq (1.1.0.3-8) unstable; urgency=low

  * Rewritten the  closes  assertion correctly
    closes: Bug#176265

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun,  2 Feb 2003 22:09:56 +0100

chemeq (1.1.0.3-7) unstable; urgency=low

  * modified the type of the "ch" varaible which is used to get the result
    of the getopt() function, to int. So the condition -1 == ch can be
    reached on every architecture.
    Closes: #176265

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 11 Jan 2003 18:45:29 +0100

chemeq (1.1.0.3-6) unstable; urgency=low

  * some fixes to comply with g++-3.2, thanks to Jeroen T. Vermeulen
    Closes: #174962

 -- Georges Khaznadar <georgesk@gk.homelinux.org>  Sun,  5 Jan 2003 00:15:16 +0100

chemeq (1.1.0.3-5) unstable; urgency=low

  * chemeq is now compliant with g++-v3 and should build on all archs.
    Closes: #146530

 -- Georges Khaznadar <georgesk@gk.homelinux.org>  Sun, 10 Nov 2002 22:00:10 +0100

chemeq (1.1.0.3-4) unstable; urgency=low

  * corrected build-depends according to last post about Bug#146552
    gcc and g++ are no more in buid-depends.
    Closes: #146530, #146552

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 27 Oct 2002 11:22:05 +0100

chemeq (1.1.0.3-3) unstable; urgency=low

  * corrected a missing parenthesis in chemreport.pl (test suite)

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 12 May 2002 15:53:36 +0200

chemeq (1.1.0.3-2) unstable; urgency=low

  * added build-depends : flex, bison, gcc, g++

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sat, 11 May 2002 19:06:01 +0200

chemeq (1.1.0.3-1) unstable; urgency=low

  * Integrated test suite

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 05 May 2002 10:12:49 +0200

chemeq (1.1.0.2-1) unstable; urgency=low

  * Initial Release.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Thu, 28 Apr 2002 22:50:45 +0200


Local variables:
 mode: debian-changelog
End:

=== debian/control ===
Source: chemeq
Section: tex
Priority: optional
Maintainer: Georges Khaznadar <gekhajofour@netinfo.fr>
Build-Depends: flex (>= 2.5.31-1), bison, debhelper (>> 3.0.0)
Standards-Version: 3.5.8

Package: chemeq
Architecture: any
Depends: ${shlibs:Depends}
Suggests: tetex-bin, wims
Description: Parser for chemical formula and equilibria
 chemeq is a basic standalone filter written in C language,
 flex and bison. It inputs strings like:
  2H2 + O2 ---> 2 H2O
 then it outputs LaTeX code and messages about the equilibrium of a
 chemical reaction.
 .
  example:~/src$ echo "2H2 + O2 ---> 2 H2O" | chemeq -lc
  2\,H_{2}\,+\,O_{2}\,\rightarrow\,2\,H_{2}O
  OK

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/chemeq.sgml > chemeq.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/chemeq.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/chemeq


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## chemeq 1.2-1build1

=== src/Makefile ===
CXX = g++
CXXFLAGS= -O1

chemeq : chemeq.o chemparser.o mendeleiev.o
	${CXX} $(CXXFLAGS) -o chemeq chemeq.o chemparser.o mendeleiev.o -lfl


mendeleiev.o : mendeleiev.c chemeq.h
	${CXX} $(CXXFLAGS) -c $<

chemeq.o : chemeq.cc chemeq.h
	${CXX} $(CXXFLAGS) -c chemeq.cc

chemparser.o : chemparser.cc chemeq.h
	${CXX} $(CXXFLAGS) -c chemparser.cc

chemparser.cc : chemlex.cc chemeq.y chemeq.h
	bison  --verbose -o chemparser.cc chemeq.y

chemlex.cc : chemeq.l
	flex  -ochemlex.cc chemeq.l

clean :
	rm -f *~ *.o chemlex.cc  chemparser.cc *.output chemeq

=== debian/changelog ===
chemeq (1.2-1build1) dapper; urgency=low

  * Rebuild with current g++

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Dec 2005 09:49:43 +0000

## chemeq 1.9

=== Makefile ===
--- 
+++ 
@@ -31,5 +31,5 @@
 	rm -rf $(DOC)
 
 clean :
-	rm -f *~ *.gz
+	rm -f *~ *.gz semantic.cache
 	(cd src; ${MAKE} clean)

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CXX = g++
-CXXFLAGS= -O1
+CXXFLAGS= -g -O1
 
 chemeq : chemeq.o chemparser.o mendeleiev.o
 	${CXX} $(CXXFLAGS) -o chemeq chemeq.o chemparser.o mendeleiev.o -lfl
@@ -21,5 +21,5 @@
 	flex  -ochemlex.cc chemeq.l
 
 clean :
-	rm -f *~ *.o chemlex.cc  chemparser.cc *.output chemeq
+	rm -f *~ *.o semantic.cache chemlex.cc  chemparser.cc *.output chemeq

=== debian/changelog ===
chemeq (1.9) unstable; urgency=low

  * recompiled with a new version of flex (see 
    http://www.debian.org/security/2006/dsa-1020)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun,  2 Apr 2006 16:45:22 +0200

chemeq (1.8) unstable; urgency=low

  * added a feature: the normalised output (chemeq -n) makes simplifications
    by substracting equivalent amounts of chemicals in both members of an
    equation.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 16 Feb 2006 23:37:38 +0100

chemeq (1.7) unstable; urgency=low

  * added the environment variables prefixed with w_ to comply with Gang
    Xiao's WIMS server.
  * updated the manpage

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 28 Jan 2006 23:37:03 +0100

chemeq (1.6) unstable; urgency=low

  * fixed issues about the environment variable chemeq_input
  * updated the manpage

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 28 Jan 2006 20:04:22 +0100

chemeq (1.5) unstable; urgency=low

  * recompilation to be consistent with the new libstdc++
  * dropped the reference to g++-3.0

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Dec 2005 20:38:40 +0100

chemeq (1.4) unstable; urgency=low

  * chemeq takes in account another environment variable, chemeq_input, which
    may contain the input string for chemeq.

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Sun, 27 Feb 2005 23:55:33 +0100

chemeq (1.3) unstable; urgency=low

  * now chemeq takes in account a parameter chemeq_option, which can be used
    to pass the options "mMlcwnh"

 -- Georges Khaznadar <gekhajofour@netinfo.fr>  Wed, 26 Jan 2005 13:36:12 +0100

## chemeq 2.7

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 install : all
 	${INSTALL} -d $(BIN) $(MAN1) $(TESTS)
-	${INSTALL} --strip src/chemeq $(BIN)
+	${INSTALL} src/chemeq $(BIN)
 	gzip -c -9 chemeq.1 > chemeq.1.gz
 	${INSTALL} -m644 chemeq.1.gz $(MAN1)
 	${INSTALL} -m755 $(TESTSUITE) $(TESTS)

=== src/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# -*- coding: utf-8 -*-
 CXX = g++
 CXXFLAGS= -g -O1

=== debian/changelog ===
chemeq (2.7) unstable; urgency=low

  * fixed one bug with the option -wl: the output contained sequences
    like "\," and Wims considers le commas like list separators.
  * added an automatic update of the version number (for Debian 
    packages).

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 18 Nov 2007 02:00:33 +0100

chemeq (2.6) unstable; urgency=low

  * fixed some bugs with the option -w

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 17 Nov 2007 23:18:03 +0100

chemeq (2.5) unstable; urgency=low

  * implemented the support of an output for WIMS with the option -w or 
    -wl

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 16 Nov 2007 09:15:31 +0100

chemeq (2.4) unstable; urgency=low

  * applied Thiemo Seufer's patch, Closes: #451049.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 14 Nov 2007 12:35:44 +0100

chemeq (2.3) unstable; urgency=low

  * modified the management of standard potentials and equilibrium 
    constants upon multiplication : an undefined constant must lead
    to an undefined result.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 16 Sep 2007 17:53:33 +0200

chemeq (2.2) unstable; urgency=low

  * added a new multiplicative operator, to be able to multiply every
    coefficients of each reactive or product of an equation of reaction
    at the same time.
  * added some tests into the suite to account for this new feature.
  * removed a --strip option in the Makefile.
    Closes: #436622
  * modified the format of the outputs when LaTeX notations are
    involved. For example 3.2e-12 now gives 3.2\times 10^{-12}.
  * Fixed a buggy test item with the direct composition of equations
    (# operator), adapted test items according to the modification for
    LaTeX outputs.
  * Implemented the calculus of equilibrium constants and standard
    potentials throughout the possible combinations of chemical
    equations, by multiplying, adding, and substracting them with the
    operators *, # and ~.
  * recoded the files to utf-8.
  * updated the scripts chemreport, so the test suite is correctly
    formatted with LaTeX.
  * fixed a bug for negative standard potential. There stil remains a
    documented bug, due to the fact that the syntax -{int} means an
    electric charge.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 26 Aug 2007 21:35:39 +0200

chemeq (2.1) unstable; urgency=low

  * added a better simplification behavior: now H2 + H2 is resolved as
    2H2 for example.
  * updated the test suite and made it utf-8 compliant.
  * Major feature enhancement: added new binary operators, # to add two 
    chemical equations, and ~ to make a substraction between two chemical 
    equations.
  * added two tests into the suite to account for this new feature.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 01 Jun 2007 00:35:59 +0200

chemeq (1.13) unstable; urgency=low

  * made some modifications to fix compilation bugs with gcc-4.3
    Closes: Bug#417131

 -- Georges Khaznadar <georgesk@ofset.org>  Tue,  3 Apr 2007 19:51:22 +0200

chemeq (1.12) unstable; urgency=low

  * modified the behaviour with -C : now the charge count is displaied

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 11 Mar 2007 12:49:31 +0100

chemeq (1.11) unstable; urgency=low

  * fixed an error for the option -C with atom groups; for example
    B(OH)3 yelded something like B(OH)3|B:1*1 (O:1*1 H:1*1)3 which
    has little sense. Now it yelds B(OH)3|B:1*1 O:1*3 H:1*3, which
    would be the same than parsing BO3H3.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Mar 2007 22:00:17 +0100

chemeq (1.10) unstable; urgency=low

  * fixed two stupid errors in operators '&' and '-' for the Membre object:
    their return value were undefined!
    Now there is no more segmentation error when the normalisation is done.
  * added a new feature, bound to the option -C (detailed count) :
    it prints a detailed count of molecules and atoms in each member
    of the equation. This count can be used by other programs.
  * added similar features (options -e and -s), which are simpler than
    the option -C: they just print respectively the electric charges,
    and the chemical species.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 23 Feb 2007 11:54:22 +0100

## chemeq 2.11

=== debian/changelog ===
chemeq (2.11-1) unstable; urgency=low

  * replaced the \rightarrow macro by \longrightarrow
  * removed the strange option forged for buggy WIMS behaviors
  * fixed the encodong of chemeq.h
  * implemented the version management by Makefile
  * update dh level to 9
  * updated debian/rules to dh7 format
  * updated source format to 3.0: quilt

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Jun 2013 12:06:15 +0200

chemeq (2.10-1) unstable; urgency=low

  * changed my DEBEMAIL
  * updated Standards-Version
  * added another option to deal with WIMS scripts which do not like
    \rightarrow (the sequence \r is translated to a linefeed)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Jun 2013 09:22:23 +0200

chemeq (2.9-1) unstable; urgency=low

  * upgraded the license to GPL-3
  * recoded LISEZMOI to utf-8
  * updated the email address georgesk@boltz.univ-littoral.fr ->
    georgesk@ofset.org

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 30 Jun 2009 11:22:58 +0200

chemeq (2.8-4) unstable; urgency=low

  * updated the test suite.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 01 Oct 2008 14:09:26 +0200

chemeq (2.8-3) unstable; urgency=low

  * improved the simplification of equations, when some chemical appears
    more than once in a member (this can happen when you use 
    "arithmetics" with equations.
  * updated Standards-Version
  * modified the suggestion: tetex-bin becomes texlive
  * modified Build-dependences, the minimal version of flex has no more
    release number

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 30 Sep 2008 16:58:23 +0200

chemeq (2.8-2) unstable; urgency=low

  * added a missing ";" in chemeq.y : gcc seems to need it in terminal 
    instructions.

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 16 Jun 2008 19:18:44 +0200

chemeq (2.8-1) unstable; urgency=low

  * Modified the package to make it non-native, because it can be used 
    outside Debian.

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 05 Dec 2007 21:40:36 +0100

## chemeq 2.12

=== src/Makefile ===
--- 
+++ 
@@ -5,6 +5,12 @@
 chemeq : chemeq.o chemparser.o mendeleiev.o
 	${CXX} $(CXXFLAGS) -o chemeq chemeq.o chemparser.o mendeleiev.o -lfl
 
+
+chemeq.h: chemeq.h.in
+	echo "// Do not edit this file which has been automatically genreated." > $@
+	echo "// Instead, edit chemeq.h.in" >> $@
+	v=$$(basename $$(dirname $$(pwd))| sed 's/chemeq-//'); \
+	sed 's/VERSION.*/VERSION "'$$v'"/' $< >> $@
 
 mendeleiev.o : mendeleiev.c chemeq.h
 	${CXX} $(CXXFLAGS) -c $<
@@ -22,5 +28,6 @@
 	flex  -ochemlex.cc chemeq.l
 
 clean :
-	rm -f *~ *.o semantic.cache chemlex.cc  chemparser.cc *.output chemeq
+	rm -f *~ *.o semantic.cache chemlex.cc  chemparser.cc *.output chemeq chemeq.h
 
+

=== debian/changelog ===
chemeq (2.12-3) unstable; urgency=medium

  * applied Adrian Bunk's patch. Closes: #891533
  * upgraded Standards-Version to 4.1.3, and dh level to 10
  * added Vcs repositories

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2018 16:49:29 +0100

chemeq (2.12-2) unstable; urgency=medium

  * added a build-dependency on libfl-dev; Closes: #846417
  * upgraded: Standards-Version: 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 02 Dec 2016 19:52:41 +0100

chemeq (2.12-1) unstable; urgency=low

  * modified chemeq.y to fix warnings about deprecated conversion
    from string constant to 'char*'
  * modified chemeq.cc and the test suite to embed every element name
    in a \mathrm{} structure.
  * update files which referenced my older e-mail address

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2013 17:46:16 +0200

=== debian/control ===
Source: chemeq
Section: tex
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: flex (>= 2.5.31), bison, debhelper (>= 10),
 libfl-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/chemeq.git
Vcs-Git: https://salsa.debian.org/science-team/chemeq.git

Package: chemeq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive, wims
Description: Parser for chemical formula and equilibria
 chemeq is a basic standalone filter written in C language,
 flex and bison. It inputs strings like:
  2H2 + O2 ---> 2 H2O
 then it outputs LaTeX code and messages about the equilibrium of a
 chemical reaction.
 .
  example:~/src$ echo "2H2 + O2 ---> 2 H2O" | chemeq -lc
  2\,H_{2}\,+\,O_{2}\,\rightarrow\,2\,H_{2}O
  OK

## chemeq 2.13

=== debian/changelog ===
chemeq (2.13-1) unstable; urgency=medium

  * changed the LaTeX rendering for (explicitly) aqueous, solid and liquid
    species

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Jun 2018 14:46:32 +0200

## chemeq 2.14

=== debian/changelog ===
chemeq (2.14-1) unstable; urgency=medium

  * applied patches from debian/patches in upstream source
  * applied Chris Lamb's patch. Closes: #901763

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Jun 2018 15:51:20 +0200

## chemeq 2.15

=== src/Makefile ===
--- 
+++ 
@@ -3,8 +3,7 @@
 CXXFLAGS= -g -O1
 
 chemeq : chemeq.o chemparser.o mendeleiev.o
-	${CXX} $(CXXFLAGS) -o chemeq chemeq.o chemparser.o mendeleiev.o -lfl
-
+	${CXX} $(CXXFLAGS) -o chemeq chemeq.o chemparser.o mendeleiev.o
 
 chemeq.h: chemeq.h.in
 	echo "// Do not edit this file which has been automatically genreated." > $@

=== debian/changelog ===
chemeq (2.15-1) unstable; urgency=medium

  * Modified the source to take in account symbols like <[-]+>
    to be rendered as \leftrightharpoons

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Jun 2018 23:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: flex (>= 2.5.31), bison, debhelper (>= 10),
  libfl-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/science-team/chemeq.git
 Vcs-Git: https://salsa.debian.org/science-team/chemeq.git

## chemeq 2.18

=== debian/changelog ===
chemeq (2.18-1) unstable; urgency=medium

  * new upstream version, with Bernadette PERRIN's patch to sanitize
    mendeleiev.c -> mendeleiev.cc
  * updated VCS web access

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 20 Sep 2018 18:38:09 +0200

chemeq (2.17-1) unstable; urgency=medium

  * removed the definition of yyerror inside chemeq.y
  * restored another definition of yyerror inside chemeq.y
  * fixed yyerror's code

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Sep 2018 17:53:58 +0200

chemeq (2.16-1) unstable; urgency=medium

  * new upstream release, which fixes many reports and warnings from
    g++
  * upgraded dh level to 11, Standards-Version to 4.2.1

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Sep 2018 15:31:00 +0200

## chemeq 2.19

=== Makefile ===
--- 
+++ 
@@ -33,3 +33,9 @@
 clean :
 	rm -f *~ *.gz semantic.cache
 	(cd src; ${MAKE} clean)
+
+chemeq.1: chemeq.man.xml
+	xsltproc --nonet --param man.charmap.use.subset "0" \
+	  --param make.year.ranges "1" \
+	  --param make.single.year.ranges "1" \
+	  $<

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 CXX = g++
-CXXFLAGS= -g -O1
+CXXFLAGS= -g -O1 -fPIC -Wall
 
 chemeq : chemeq.o chemparser.o mendeleiev.o
 	${CXX} $(CXXFLAGS) -o chemeq chemeq.o chemparser.o mendeleiev.o
@@ -11,7 +11,7 @@
 	v=$$(basename $$(dirname $$(pwd))| sed 's/chemeq-//'); \
 	sed 's/VERSION.*/VERSION "'$$v'"/' $< >> $@
 
-mendeleiev.o : mendeleiev.c chemeq.h
+mendeleiev.o : mendeleiev.cc chemeq.h
 	${CXX} $(CXXFLAGS) -c $<
 
 chemeq.o : chemeq.cc chemeq.h

=== debian/changelog ===
chemeq (2.19-1) unstable; urgency=medium

  * new upstream version, to ensure that chemeq -n does not output
    _aq suffixes (explicit_aqueous is replaced by aqueous for normalized
    outputs).

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 04 Mar 2019 19:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: tex
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: flex (>= 2.5.31), bison, debhelper (>= 10),
+Build-Depends: flex (>= 2.5.31), bison, debhelper (>= 11),
  libfl-dev
-Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/science-team/chemeq.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/chemeq
 Vcs-Git: https://salsa.debian.org/science-team/chemeq.git
 
 Package: chemeq

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	$(MAKE) -C src chemeq.h
	sed -i -e 's/VERSION.*/VERSION "'$(DEB_VERSION_UPSTREAM)'"/' src/chemeq.h

## chemeq 2.22

=== debian/changelog ===
chemeq (2.22-1) unstable; urgency=medium

  * new upstream release; explicitely use CXXFLAGS and LDFLAGS to build
    the binary.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 Mar 2022 09:40:59 +0100

chemeq (2.21-1) UNRELEASED; urgency=medium

  * new upstream version, which provides a summarizing test
  * updated debian/tests/control to run the summarizing test

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Mar 2022 19:30:33 +0100

chemeq (2.20-1) UNRELEASED; urgency=medium

  * new upstream version
  * added logo files logo.png and logo.svg
  * added a file debian/tests/control to run all the tests provided
    by the source package, with autopkgtest.
  * added a file salsa-ci.yml to run continuous integration
  * modified debian/docs as the documents are now in rst format

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Mar 2022 18:31:46 +0100

=== debian/tests/control ===
# run all tests in $package_root/tests
# then filter out every line starting with "#" or with "OK"
# there must be zero lines left.

Test-Command: cd tests;
	      test $(./numerrors) = 0

## chemeq 2.23

=== src/Makefile ===
# -*- coding: utf-8 -*-
CXX = g++
CXXFLAGS ?= -g -O1 -fPIC -Wall
COMPILE = $(CXX) $(CXXFLAGS) $(LDFLAGS)

chemeq : chemeq.o chemparser.o mendeleiev.o
	$(COMPILE) -o chemeq chemeq.o chemparser.o mendeleiev.o

chemeq.h: chemeq.h.in
	echo "// Do not edit this file which has been automatically genreated." > $@
	echo "// Instead, edit chemeq.h.in" >> $@
	v=$$(basename $$(dirname $$(pwd))| sed 's/chemeq-//'); \
	sed 's/VERSION.*/VERSION "'$$v'"/' $< >> $@

mendeleiev.o : mendeleiev.cc chemeq.h
	$(COMPILE) -c $<

chemeq.o : chemeq.cc chemeq.h
	$(COMPILE) -c chemeq.cc

chemparser.o : chemparser.cc chemeq.h
	$(COMPILE) -c chemparser.cc

chemparser.cc : chemlex.cc chemeq.y chemeq.h
	bison  --verbose -o chemparser.cc chemeq.y

chemlex.cc : chemeq.l
	flex  -ochemlex.cc chemeq.l

clean :
	rm -f *~ *.o semantic.cache chemlex.cc  chemparser.cc *.output chemeq chemeq.h

=== debian/changelog ===
chemeq (2.23-2) unstable; urgency=medium

  * maybe fixed the branch pristine-tar
  * checked that autopkgtest succeeds. Closes: #1007824

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Mar 2022 19:40:18 +0100

chemeq (2.23-1) unstable; urgency=medium

  * fixed the strcmp call which was used to normalize chemical expressions

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Mar 2022 18:03:39 +0100

chemeq (2.22-3) UNRELEASED; urgency=medium

  * maybe fixed the branch pristine-tar

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 Mar 2022 19:11:50 +0100

chemeq (2.22-2) unstable; urgency=medium

  * modified slightly debian/tests/control to build usable artifacts

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 Mar 2022 19:03:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
 
 %:

## chemeq 3.1

=== debian/changelog ===
chemeq (3.1-1) unstable; urgency=medium

  * new upstream release : make the HTML periodic table smaller than
    Wims' limit of text size
  * new build-dependency: python3-cssmin

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Jul 2023 19:27:08 +0200

chemeq (3.0-1) testing; urgency=medium

  * new upstream version
  * use CPPFLAGS rather than CXXFLAGS so dpkg-buildflags can do its job
  * upgraded Standards-Version: 4.6.2, debhelper-compat (=13)
  * added build-dependencies on python3-bs4, python3-jinja2, python3-lxml

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 07 Jun 2023 15:56:39 +0200

## chemeq 3.2

=== debian/changelog ===
chemeq (3.2-1) unstable; urgency=medium

  * compressing css code actually; this had been reverted in the previous
    upstream version.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Jul 2023 19:59:19 +0200

## chemeq 3.3

=== src/Makefile ===
# -*- coding: utf-8 -*-
CPP = g++
CPPFLAGS ?= -g -O1 -fPIC -Wall
COMPILE = $(CPP) -g $(CPPFLAGS) $(LDFLAGS)

chemeq : chemeq.o chemparser.o mendeleiev.o
	$(COMPILE) -o chemeq chemeq.o chemparser.o mendeleiev.o

chemeq.h: chemeq.h.in
	echo "// Do not edit this file which has been automatically generated." > $@
	echo "// Instead, edit chemeq.h.in" >> $@
	v=$$(basename $$(dirname $$(pwd))| sed 's/chemeq-//'); \
	sed 's/VERSION.*/VERSION "'$$v'"/' $< >> $@

mendeleiev.o : mendeleiev.cc chemeq.h
	$(COMPILE) -c $<

chemeq.o : chemeq.cc chemeq.h
	$(COMPILE) -c $<

chemparser.o : chemparser.cc chemeq.h html_table.cc
	$(COMPILE) -c chemparser.cc

html_table.cc: table_html_mendeleiev.py mendeleiev.js mendeleiev_template.css
	python3 table_html_mendeleiev.py

chemparser.cc : chemlex.cc chemeq.y chemeq.h
	bison  --verbose -o chemparser.cc chemeq.y

chemlex.cc : chemeq.l
	flex  -ochemlex.cc chemeq.l

clean :
	rm -f *~ *.o semantic.cache chemlex.cc  chemparser.cc *.output chemeq chemeq.h html_table.cc

=== debian/changelog ===
chemeq (3.3-1) unstable; urgency=medium

  * new upstream version. Better compatibility with Wims.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 13:41:46 +0200

## chemeq 3.6

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 CPP = g++
-CPPFLAGS ?= -g -O1 -fPIC -Wall
+CPPFLAGS ?= -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wall
 COMPILE = $(CPP) -g $(CPPFLAGS) $(LDFLAGS)
 
 chemeq : chemeq.o chemparser.o mendeleiev.o

=== debian/changelog ===
chemeq (3.6-1) unstable; urgency=medium

  * new upstream : use secure compile flags for gcc.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 19:11:49 +0200

chemeq (3.5-1) UNRELEASED; urgency=medium

  * new upstream : fix some values in the tests, since the constant R
    has been revised, to match NIST data

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 18:43:08 +0200

chemeq (3.4-1) unstable; urgency=medium

  * new upstream : the table is better dimensioned, loading its interactive
    features is done nicer.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 17:36:28 +0200

## chemeq 3.7

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,10 @@
 # -*- coding: utf-8 -*-
 CPP = g++
 CPPFLAGS ?= -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wall
-COMPILE = $(CPP) -g $(CPPFLAGS) $(LDFLAGS)
+CPPFLAGS += $(shell [ -x /usr/bin/dpkg-buildflags ] && dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS += $(shell [ -x /usr/bin/dpkg-buildflags ] && dpkg-buildflags --get CXXFLAGS)
+
+COMPILE = $(CPP) -g $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
 
 chemeq : chemeq.o chemparser.o mendeleiev.o
 	$(COMPILE) -o chemeq chemeq.o chemparser.o mendeleiev.o

=== debian/changelog ===
chemeq (3.7-1) unstable; urgency=medium

  * new upstream : use hardened compile flags for g++; Closes: #1119375
  * simplified d/rules
  * removed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 30 Oct 2025 12:58:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,15 @@
 Section: tex
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: flex (>= 2.5.31), bison, debhelper (>= 11),
- libfl-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (=13),
+ flex,
+ bison,
+ libfl-dev,
+ python3-bs4,
+ python3-jinja2,
+ python3-lxml,
+ python3-cssmin,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/chemeq
 Vcs-Git: https://salsa.debian.org/science-team/chemeq.git

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/pkg-info.mk
-
 %:
 	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,5 @@
 # there must be zero lines left.
 
 Test-Command: cd tests;
+	      bash chemtest > $AUTOPKGTEST_ARTIFACTS/chemtest.log;
 	      test $(./numerrors) = 0
